commit:     abd4482ee548c0cc3326b6ffbe249fa85c25f3a3
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  4 08:59:05 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Nov  4 08:59:18 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abd4482e

media-libs/celt: Bump to version 0.11.3

Package-Manager: portage-2.3.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 media-libs/celt/Manifest           |  1 +
 media-libs/celt/celt-0.11.3.ebuild | 46 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/media-libs/celt/Manifest b/media-libs/celt/Manifest
index 918a3c5..a75cf32 100644
--- a/media-libs/celt/Manifest
+++ b/media-libs/celt/Manifest
@@ -1,2 +1,3 @@
 DIST celt-0.11.1.tar.gz 465853 SHA256 
01c2579fba8b283c9068cb704a70a6e654aa74ced064c091cafffbe6fb1d4cbf SHA512 
73d17486ae0ef544baf74f7cf7d4b82b7dcba5143f480ffefec2c16ae9aa240d207aac4aa28c6888ba26e925f6d6f5545f71ef157b95906b63d017ce7b7ce842
 WHIRLPOOL 
7232af7abb58ef1fccc111a3ef74d1426bb807d3039067d8af37252cac4ba95395900903bbeff93257c6a097463ec3126a2d2ec14528449a0424a7db6dc23d8a
+DIST celt-0.11.3.tar.gz 465020 SHA256 
7e64815d4a8a009d0280ecd235ebd917da3abdcfd8f7d0812218c085f9480836 SHA512 
1f7b8c9b0fcb3a31ba81c220f89fb15173f6e7a25f8fa9d6669790cf29cccb5f75fb37a9f41c76bec5e8d8b9de47d65949831d5a843dcffb2f0747801a8c9bde
 WHIRLPOOL 
d452459c29ffa74322e79834015c0ff223492821e99a20729271f355807e54a687f10f6f98c841e8e2eb54e18be17fa0b5c8ac6e795c7b0177cc0b72d31ed121
 DIST celt-0.5.1.3.tar.gz 440772 SHA256 
fc2e5b68382eb436a38c3104684a6c494df9bde133c139fbba3ddb5d7eaa6a2e SHA512 
bf5621dc3ec1b0808bdd83f006fd7b88df1b6caffe07e18eb696c268b31c6c7127329ecb4c9582c44e0ecf9577bbe2f3dbe40f15b80f8681bb7f4115f1501921
 WHIRLPOOL 
86355696a7aaef2d1dfc51526c29c5e39cdb6ef8e19cd23f8f49fa5b8d962ced8f395684c869a77bc67e20320c28ecf5c9d8bf8eb690f84bfccad3013736c3fd

diff --git a/media-libs/celt/celt-0.11.3.ebuild 
b/media-libs/celt/celt-0.11.3.ebuild
new file mode 100644
index 00000000..78dfaec
--- /dev/null
+++ b/media-libs/celt/celt-0.11.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit autotools eutils multilib-minimal
+
+DESCRIPTION="CELT is a very low delay audio codec designed for high-quality 
communications"
+HOMEPAGE="http://www.celt-codec.org/";
+SRC_URI="http://downloads.us.xiph.org/releases/${PN}/${P}.tar.gz";
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="ogg static-libs test"
+
+DEPEND="ogg? ( media-libs/libogg )"
+RDEPEND="${DEPEND}"
+DOCS=( README TODO )
+
+src_prepare() {
+       default
+
+       if use test ; then
+               # tandem tests fail:
+               # 
https://thr3ads.net/opus/2012/09/2124778-CELT-0.11.3-tandem-test-fails
+               sed '/^TESTS/s@ tandem-test@@' -i tests/Makefile.am || die
+               eautoreconf
+       fi
+}
+
+multilib_src_configure() {
+       # ogg is for the binaries
+       local myconf="--without-ogg"
+       multilib_is_native_abi && myconf="$(use_with ogg ogg /usr)"
+
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable static-libs static) \
+               ${myconf}
+}
+
+multilib_src_install_all() {
+       prune_libtool_files
+       einstalldocs
+}

Reply via email to